Bug 95382

Summary: Remove ENABLE_CSS3_FLEXBOX compile time flag
Product: WebKit Reporter: Tony Chang <tony>
Component: New BugsAssignee: Tony Chang <tony>
Status: RESOLVED FIXED    
Severity: Normal CC: abecsi, cmarcelo, eric, gyuyoung.kim, macpherson, menard, ojan, ossy, rakuco, vestbo, webkit.review.bot
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
none
Patch ojan: review+, webkit-ews: commit-queue-

Description Tony Chang 2012-08-29 14:44:26 PDT
Remove ENABLE_CSS3_FLEXBOX compile time flag
Comment 1 Tony Chang 2012-08-29 14:50:30 PDT
Created attachment 161321 [details]
Patch
Comment 2 Raphael Kubo da Costa (:rakuco) 2012-08-29 15:44:00 PDT
Comment on attachment 161321 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=161321&action=review

> Source/cmakeconfig.h.cmake:-27
> -#cmakedefine01 ENABLE_CSS3_FLEXBOX

Can you also remove the entry in Source/cmake/WebKitFeatures.cmake?
Comment 3 Tony Chang 2012-08-29 15:55:35 PDT
Created attachment 161343 [details]
Patch
Comment 4 Tony Chang 2012-08-29 15:56:06 PDT
(In reply to comment #2)
> (From update of attachment 161321 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=161321&action=review
> 
> > Source/cmakeconfig.h.cmake:-27
> > -#cmakedefine01 ENABLE_CSS3_FLEXBOX
> 
> Can you also remove the entry in Source/cmake/WebKitFeatures.cmake?

Oops, sorry for missing it.

Note that this was announced on webkit-dev: http://lists.webkit.org/pipermail/webkit-dev/2012-August/021965.html
Comment 5 Early Warning System Bot 2012-08-29 16:39:28 PDT
Comment on attachment 161343 [details]
Patch

Attachment 161343 [details] did not pass qt-wk2-ews (qt):
Output: http://queues.webkit.org/results/13689448
Comment 6 Tony Chang 2012-08-30 12:43:16 PDT
The qt-wk2 failure seems unrelated and the previous patch passed on the same bot.

I think we can review this patch now.
Comment 7 Csaba Osztrogon√°c 2012-08-31 06:32:51 PDT
(In reply to comment #6)
> The qt-wk2 failure seems unrelated and the previous patch passed on the same bot.
> 
> I think we can review this patch now.

Yes this build fail is unrelated, this flakiness tracked by -https://bugs.webkit.org/show_bug.cgi?id=93847
Comment 8 Tony Chang 2012-08-31 14:17:07 PDT
Committed r127318: <http://trac.webkit.org/changeset/127318>